/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License")Packed; you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.servicecomb.foundation.protobuf.internal.model;

import org.apache.servicecomb.foundation.test.scaffolding.model.Color;

public class PrimitiveArrays {
  private int[] int32sPacked;

  private long[] int64sPacked;

  private int[] uint32sPacked;

  private long[] uint64sPacked;

  private int[] sint32sPacked;

  private long[] sint64sPacked;

  private int[] fixed32sPacked;

  private long[] fixed64sPacked;

  private int[] sfixed32sPacked;

  private long[] sfixed64sPacked;

  private float[] floatsPacked;

  private double[] doublesPacked;

  private boolean[] boolsPacked;

  private Color[] colorsPacked;

  private int[] int32sNotPacked;

  private long[] int64sNotPacked;

  private int[] uint32sNotPacked;

  private long[] uint64sNotPacked;

  private int[] sint32sNotPacked;

  private long[] sint64sNotPacked;

  private int[] fixed32sNotPacked;

  private long[] fixed64sNotPacked;

  private int[] sfixed32sNotPacked;

  private long[] sfixed64sNotPacked;

  private float[] floatsNotPacked;

  private double[] doublesNotPacked;

  private boolean[] boolsNotPacked;

  private Color[] colorsNotPacked;

  public int[] getInt32sPacked() {
    return int32sPacked;
  }

  public void setInt32sPacked(int[] int32sPacked) {
    this.int32sPacked = int32sPacked;
  }

  public long[] getInt64sPacked() {
    return int64sPacked;
  }

  public void setInt64sPacked(long[] int64sPacked) {
    this.int64sPacked = int64sPacked;
  }

  public int[] getUint32sPacked() {
    return uint32sPacked;
  }

  public void setUint32sPacked(int[] uint32sPacked) {
    this.uint32sPacked = uint32sPacked;
  }

  public long[] getUint64sPacked() {
    return uint64sPacked;
  }

  public void setUint64sPacked(long[] uint64sPacked) {
    this.uint64sPacked = uint64sPacked;
  }

  public int[] getSint32sPacked() {
    return sint32sPacked;
  }

  public void setSint32sPacked(int[] sint32sPacked) {
    this.sint32sPacked = sint32sPacked;
  }

  public long[] getSint64sPacked() {
    return sint64sPacked;
  }

  public void setSint64sPacked(long[] sint64sPacked) {
    this.sint64sPacked = sint64sPacked;
  }

  public int[] getFixed32sPacked() {
    return fixed32sPacked;
  }

  public void setFixed32sPacked(int[] fixed32sPacked) {
    this.fixed32sPacked = fixed32sPacked;
  }

  public long[] getFixed64sPacked() {
    return fixed64sPacked;
  }

  public void setFixed64sPacked(long[] fixed64sPacked) {
    this.fixed64sPacked = fixed64sPacked;
  }

  public int[] getSfixed32sPacked() {
    return sfixed32sPacked;
  }

  public void setSfixed32sPacked(int[] sfixed32sPacked) {
    this.sfixed32sPacked = sfixed32sPacked;
  }

  public long[] getSfixed64sPacked() {
    return sfixed64sPacked;
  }

  public void setSfixed64sPacked(long[] sfixed64sPacked) {
    this.sfixed64sPacked = sfixed64sPacked;
  }

  public float[] getFloatsPacked() {
    return floatsPacked;
  }

  public void setFloatsPacked(float[] floatsPacked) {
    this.floatsPacked = floatsPacked;
  }

  public double[] getDoublesPacked() {
    return doublesPacked;
  }

  public void setDoublesPacked(double[] doublesPacked) {
    this.doublesPacked = doublesPacked;
  }

  public boolean[] getBoolsPacked() {
    return boolsPacked;
  }

  public void setBoolsPacked(boolean[] boolsPacked) {
    this.boolsPacked = boolsPacked;
  }

  public int[] getInt32sNotPacked() {
    return int32sNotPacked;
  }

  public void setInt32sNotPacked(int[] int32sNotPacked) {
    this.int32sNotPacked = int32sNotPacked;
  }

  public long[] getInt64sNotPacked() {
    return int64sNotPacked;
  }

  public void setInt64sNotPacked(long[] int64sNotPacked) {
    this.int64sNotPacked = int64sNotPacked;
  }

  public int[] getUint32sNotPacked() {
    return uint32sNotPacked;
  }

  public void setUint32sNotPacked(int[] uint32sNotPacked) {
    this.uint32sNotPacked = uint32sNotPacked;
  }

  public long[] getUint64sNotPacked() {
    return uint64sNotPacked;
  }

  public void setUint64sNotPacked(long[] uint64sNotPacked) {
    this.uint64sNotPacked = uint64sNotPacked;
  }

  public int[] getSint32sNotPacked() {
    return sint32sNotPacked;
  }

  public void setSint32sNotPacked(int[] sint32sNotPacked) {
    this.sint32sNotPacked = sint32sNotPacked;
  }

  public long[] getSint64sNotPacked() {
    return sint64sNotPacked;
  }

  public void setSint64sNotPacked(long[] sint64sNotPacked) {
    this.sint64sNotPacked = sint64sNotPacked;
  }

  public int[] getFixed32sNotPacked() {
    return fixed32sNotPacked;
  }

  public void setFixed32sNotPacked(int[] fixed32sNotPacked) {
    this.fixed32sNotPacked = fixed32sNotPacked;
  }

  public long[] getFixed64sNotPacked() {
    return fixed64sNotPacked;
  }

  public void setFixed64sNotPacked(long[] fixed64sNotPacked) {
    this.fixed64sNotPacked = fixed64sNotPacked;
  }

  public int[] getSfixed32sNotPacked() {
    return sfixed32sNotPacked;
  }

  public void setSfixed32sNotPacked(int[] sfixed32sNotPacked) {
    this.sfixed32sNotPacked = sfixed32sNotPacked;
  }

  public long[] getSfixed64sNotPacked() {
    return sfixed64sNotPacked;
  }

  public void setSfixed64sNotPacked(long[] sfixed64sNotPacked) {
    this.sfixed64sNotPacked = sfixed64sNotPacked;
  }

  public float[] getFloatsNotPacked() {
    return floatsNotPacked;
  }

  public void setFloatsNotPacked(float[] floatsNotPacked) {
    this.floatsNotPacked = floatsNotPacked;
  }

  public double[] getDoublesNotPacked() {
    return doublesNotPacked;
  }

  public void setDoublesNotPacked(double[] doublesNotPacked) {
    this.doublesNotPacked = doublesNotPacked;
  }

  public boolean[] getBoolsNotPacked() {
    return boolsNotPacked;
  }

  public void setBoolsNotPacked(boolean[] boolsNotPacked) {
    this.boolsNotPacked = boolsNotPacked;
  }

  public Color[] getColorsPacked() {
    return colorsPacked;
  }

  public void setColorsPacked(Color[] colorsPacked) {
    this.colorsPacked = colorsPacked;
  }

  public Color[] getColorsNotPacked() {
    return colorsNotPacked;
  }

  public void setColorsNotPacked(Color[] colorsNotPacked) {
    this.colorsNotPacked = colorsNotPacked;
  }
}
