/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License")Packed; you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.servicecomb.foundation.protobuf.internal.model;

import org.apache.servicecomb.foundation.test.scaffolding.model.Color;

public class PrimitiveWrapperArrays {
  private Integer[] int32sPacked;

  private Long[] int64sPacked;

  private Integer[] uint32sPacked;

  private Long[] uint64sPacked;

  private Integer[] sint32sPacked;

  private Long[] sint64sPacked;

  private Integer[] fixed32sPacked;

  private Long[] fixed64sPacked;

  private Integer[] sfixed32sPacked;

  private Long[] sfixed64sPacked;

  private Float[] floatsPacked;

  private Double[] doublesPacked;

  private Boolean[] boolsPacked;

  private Color[] colorsPacked;

  private Integer[] int32sNotPacked;

  private Long[] int64sNotPacked;

  private Integer[] uint32sNotPacked;

  private Long[] uint64sNotPacked;

  private Integer[] sint32sNotPacked;

  private Long[] sint64sNotPacked;

  private Integer[] fixed32sNotPacked;

  private Long[] fixed64sNotPacked;

  private Integer[] sfixed32sNotPacked;

  private Long[] sfixed64sNotPacked;

  private Float[] floatsNotPacked;

  private Double[] doublesNotPacked;

  private Boolean[] boolsNotPacked;

  private Color[] colorsNotPacked;

  public Integer[] getInt32sPacked() {
    return int32sPacked;
  }

  public void setInt32sPacked(Integer[] int32sPacked) {
    this.int32sPacked = int32sPacked;
  }

  public Long[] getInt64sPacked() {
    return int64sPacked;
  }

  public void setInt64sPacked(Long[] int64sPacked) {
    this.int64sPacked = int64sPacked;
  }

  public Integer[] getUint32sPacked() {
    return uint32sPacked;
  }

  public void setUint32sPacked(Integer[] uint32sPacked) {
    this.uint32sPacked = uint32sPacked;
  }

  public Long[] getUint64sPacked() {
    return uint64sPacked;
  }

  public void setUint64sPacked(Long[] uint64sPacked) {
    this.uint64sPacked = uint64sPacked;
  }

  public Integer[] getSint32sPacked() {
    return sint32sPacked;
  }

  public void setSint32sPacked(Integer[] sint32sPacked) {
    this.sint32sPacked = sint32sPacked;
  }

  public Long[] getSint64sPacked() {
    return sint64sPacked;
  }

  public void setSint64sPacked(Long[] sint64sPacked) {
    this.sint64sPacked = sint64sPacked;
  }

  public Integer[] getFixed32sPacked() {
    return fixed32sPacked;
  }

  public void setFixed32sPacked(Integer[] fixed32sPacked) {
    this.fixed32sPacked = fixed32sPacked;
  }

  public Long[] getFixed64sPacked() {
    return fixed64sPacked;
  }

  public void setFixed64sPacked(Long[] fixed64sPacked) {
    this.fixed64sPacked = fixed64sPacked;
  }

  public Integer[] getSfixed32sPacked() {
    return sfixed32sPacked;
  }

  public void setSfixed32sPacked(Integer[] sfixed32sPacked) {
    this.sfixed32sPacked = sfixed32sPacked;
  }

  public Long[] getSfixed64sPacked() {
    return sfixed64sPacked;
  }

  public void setSfixed64sPacked(Long[] sfixed64sPacked) {
    this.sfixed64sPacked = sfixed64sPacked;
  }

  public Float[] getFloatsPacked() {
    return floatsPacked;
  }

  public void setFloatsPacked(Float[] floatsPacked) {
    this.floatsPacked = floatsPacked;
  }

  public Double[] getDoublesPacked() {
    return doublesPacked;
  }

  public void setDoublesPacked(Double[] doublesPacked) {
    this.doublesPacked = doublesPacked;
  }

  public Boolean[] getBoolsPacked() {
    return boolsPacked;
  }

  public void setBoolsPacked(Boolean[] boolsPacked) {
    this.boolsPacked = boolsPacked;
  }

  public Integer[] getInt32sNotPacked() {
    return int32sNotPacked;
  }

  public void setInt32sNotPacked(Integer[] int32sNotPacked) {
    this.int32sNotPacked = int32sNotPacked;
  }

  public Long[] getInt64sNotPacked() {
    return int64sNotPacked;
  }

  public void setInt64sNotPacked(Long[] int64sNotPacked) {
    this.int64sNotPacked = int64sNotPacked;
  }

  public Integer[] getUint32sNotPacked() {
    return uint32sNotPacked;
  }

  public void setUint32sNotPacked(Integer[] uint32sNotPacked) {
    this.uint32sNotPacked = uint32sNotPacked;
  }

  public Long[] getUint64sNotPacked() {
    return uint64sNotPacked;
  }

  public void setUint64sNotPacked(Long[] uint64sNotPacked) {
    this.uint64sNotPacked = uint64sNotPacked;
  }

  public Integer[] getSint32sNotPacked() {
    return sint32sNotPacked;
  }

  public void setSint32sNotPacked(Integer[] sint32sNotPacked) {
    this.sint32sNotPacked = sint32sNotPacked;
  }

  public Long[] getSint64sNotPacked() {
    return sint64sNotPacked;
  }

  public void setSint64sNotPacked(Long[] sint64sNotPacked) {
    this.sint64sNotPacked = sint64sNotPacked;
  }

  public Integer[] getFixed32sNotPacked() {
    return fixed32sNotPacked;
  }

  public void setFixed32sNotPacked(Integer[] fixed32sNotPacked) {
    this.fixed32sNotPacked = fixed32sNotPacked;
  }

  public Long[] getFixed64sNotPacked() {
    return fixed64sNotPacked;
  }

  public void setFixed64sNotPacked(Long[] fixed64sNotPacked) {
    this.fixed64sNotPacked = fixed64sNotPacked;
  }

  public Integer[] getSfixed32sNotPacked() {
    return sfixed32sNotPacked;
  }

  public void setSfixed32sNotPacked(Integer[] sfixed32sNotPacked) {
    this.sfixed32sNotPacked = sfixed32sNotPacked;
  }

  public Long[] getSfixed64sNotPacked() {
    return sfixed64sNotPacked;
  }

  public void setSfixed64sNotPacked(Long[] sfixed64sNotPacked) {
    this.sfixed64sNotPacked = sfixed64sNotPacked;
  }

  public Float[] getFloatsNotPacked() {
    return floatsNotPacked;
  }

  public void setFloatsNotPacked(Float[] floatsNotPacked) {
    this.floatsNotPacked = floatsNotPacked;
  }

  public Double[] getDoublesNotPacked() {
    return doublesNotPacked;
  }

  public void setDoublesNotPacked(Double[] doublesNotPacked) {
    this.doublesNotPacked = doublesNotPacked;
  }

  public Boolean[] getBoolsNotPacked() {
    return boolsNotPacked;
  }

  public void setBoolsNotPacked(Boolean[] boolsNotPacked) {
    this.boolsNotPacked = boolsNotPacked;
  }

  public Color[] getColorsPacked() {
    return colorsPacked;
  }

  public void setColorsPacked(Color[] colorsPacked) {
    this.colorsPacked = colorsPacked;
  }

  public Color[] getColorsNotPacked() {
    return colorsNotPacked;
  }

  public void setColorsNotPacked(Color[] colorsNotPacked) {
    this.colorsNotPacked = colorsNotPacked;
  }
}
